Name:           fishpoll
Version:        0.1.5
Release:        1%{dist}
Summary:        Client programs for fishpoll server

Group:          System Environment/Base
License:        GPLv2+
URL:            http://git.fishsoup.net/cgit/fishpoll/tree/README
Source0:        http://git.fishsoup.net/cgit/fishpoll/snapshot/fishpoll-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       python >= 2.4

%package server
Summary: Daemon to run scripts when triggered from the network
Group: System Environment/Daemons
Requires: %name = %{version}-%{release}

%description
Client for the Fishpoll server. The fishpoke program is used to
trigger a poll immediately instead of waiting for the configured
polling interval.

%description server
Daemon to run scripts when triggered from the network

%prep
%setup -q -n fishpoll-0.1.5

%build

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mv %{buildroot}%{_sysconfdir}/init.d/fishpoll %{buildroot}%{_sysconfdir}/rc.d/init.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/fishpoke

%files server
%defattr(-,root,root,-)
%{_sbindir}/fishpolld
%{_sysconfdir}/rc.d/init.d/fishpoll
%dir %{_sysconfdir}/fishpoll.d

%post server
/sbin/chkconfig --add fishpoll

%preun server
if [ $1 = 0 ] ; then
   /sbin/service fishpoll stop > /dev/null 2>&1 ||:
   /sbin/chkconfig --del fishpoll
fi

%postun server
if [ $1 -ge 1 ] ; then
   /sbin/service fishpoll condrestart >/dev/null 2>&1 ||:
fi

%changelog
* Mon Feb 02 2012 Andrea Veri <averi@fedoraproject.org> - 0.1.5-1
- First package release. Thanks to Owen Taylor.
